diff --git c/scala/math/Numeric$BigDecimalAsIfIntegral$.class w/scala/math/Numeric$BigDecimalAsIfIntegral$.class
index e20109a7c2..cea49763db 100644
--- c/scala/math/Numeric$BigDecimalAsIfIntegral$.class
+++ w/scala/math/Numeric$BigDecimalAsIfIntegral$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //BigDecimalAsIfIntegral$class=class scala/math/Numer
 public abstract #= # of #; //BigDecimalIsConflicted$class=class scala/math/Numeric$BigDecimalIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$BigDecimalAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$BigDecimalAsIfIntegral,scala.math.Ordering$BigDecimalOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$BigDecimalAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$BigDecimalAsIfIntegral,scala.math.Ordering$BigDecimalOrdering{
 public static final scala.math.Numeric$BigDecimalAsIfIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$BigDecimalAsIfIntegral$;
 
diff --git c/scala/math/Numeric$BigDecimalAsIfIntegral.class w/scala/math/Numeric$BigDecimalAsIfIntegral.class
index 2682a1683d..04c53c89e7 100644
--- c/scala/math/Numeric$BigDecimalAsIfIntegral.class
+++ w/scala/math/Numeric$BigDecimalAsIfIntegral.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //BigDecimalAsIfIntegral=class scala/math/Numeric$Big
 public abstract #= # of #; //BigDecimalIsConflicted=class scala/math/Numeric$BigDecimalIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$BigDecimalAsIfIntegral extends scala.math.Numeric$BigDecimalIsConflicted,scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$BigDecimalAsIfIntegral extends scala.math.Numeric$BigDecimalIsConflicted,scala.math.Integral{
 public abstract scala.math.BigDecimal quot(scala.math.BigDecimal, scala.math.BigDecimal);
   Signature: (Lscala/math/BigDecimal;Lscala/math/BigDecimal;)Lscala/math/BigDecimal;
 
diff --git c/scala/math/Numeric$BigDecimalIsConflicted.class w/scala/math/Numeric$BigDecimalIsConflicted.class
index 130967f868..68797693d9 100644
--- c/scala/math/Numeric$BigDecimalIsConflicted.class
+++ w/scala/math/Numeric$BigDecimalIsConflicted.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //BigDecimalIsConflicted=class scala/math/Numeric$BigDecimalIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$BigDecimalIsConflicted extends scala.math.Numeric,scala.ScalaObject{
+public interface scala.math.Numeric$BigDecimalIsConflicted extends scala.math.Numeric{
 public abstract scala.math.BigDecimal plus(scala.math.BigDecimal, scala.math.BigDecimal);
   Signature: (Lscala/math/BigDecimal;Lscala/math/BigDecimal;)Lscala/math/BigDecimal;
 
diff --git c/scala/math/Numeric$BigDecimalIsFractional$.class w/scala/math/Numeric$BigDecimalIsFractional$.class
index 2e8a2a6e59..d0519e9de4 100644
--- c/scala/math/Numeric$BigDecimalIsFractional$.class
+++ w/scala/math/Numeric$BigDecimalIsFractional$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //BigDecimalIsFractional$class=class scala/math/Numer
 public abstract #= # of #; //BigDecimalIsConflicted$class=class scala/math/Numeric$BigDecimalIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$BigDecimalIsFractional$ extends java.lang.Object implements scala.math.Numeric$BigDecimalIsFractional,scala.math.Ordering$BigDecimalOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$BigDecimalIsFractional$ extends java.lang.Object implements scala.math.Numeric$BigDecimalIsFractional,scala.math.Ordering$BigDecimalOrdering{
 public static final scala.math.Numeric$BigDecimalIsFractional$ MODULE$;
   Signature: Lscala/math/Numeric$BigDecimalIsFractional$;
 
diff --git c/scala/math/Numeric$BigDecimalIsFractional.class w/scala/math/Numeric$BigDecimalIsFractional.class
index 0b04f72804..9cdbe18a5d 100644
--- c/scala/math/Numeric$BigDecimalIsFractional.class
+++ w/scala/math/Numeric$BigDecimalIsFractional.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //BigDecimalIsFractional=class scala/math/Numeric$Big
 public abstract #= # of #; //BigDecimalIsConflicted=class scala/math/Numeric$BigDecimalIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$BigDecimalIsFractional extends scala.math.Numeric$BigDecimalIsConflicted,scala.math.Fractional,scala.ScalaObject{
+public interface scala.math.Numeric$BigDecimalIsFractional extends scala.math.Numeric$BigDecimalIsConflicted,scala.math.Fractional{
 public abstract scala.math.BigDecimal div(scala.math.BigDecimal, scala.math.BigDecimal);
   Signature: (Lscala/math/BigDecimal;Lscala/math/BigDecimal;)Lscala/math/BigDecimal;
 
diff --git c/scala/math/Numeric$BigIntIsIntegral$.class w/scala/math/Numeric$BigIntIsIntegral$.class
index 9a8c0089ab..aca8d283f8 100644
--- c/scala/math/Numeric$BigIntIsIntegral$.class
+++ w/scala/math/Numeric$BigIntIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //BigIntOrdering$class=class scala/math/Ordering$BigI
 public abstract #= # of #; //BigIntIsIntegral$class=class scala/math/Numeric$BigIntIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$BigIntIsIntegral$ extends java.lang.Object implements scala.math.Numeric$BigIntIsIntegral,scala.math.Ordering$BigIntOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$BigIntIsIntegral$ extends java.lang.Object implements scala.math.Numeric$BigIntIsIntegral,scala.math.Ordering$BigIntOrdering{
 public static final scala.math.Numeric$BigIntIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$BigIntIsIntegral$;
 
diff --git c/scala/math/Numeric$BigIntIsIntegral.class w/scala/math/Numeric$BigIntIsIntegral.class
index 8b6e248c68..fd628921b9 100644
--- c/scala/math/Numeric$BigIntIsIntegral.class
+++ w/scala/math/Numeric$BigIntIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //BigIntIsIntegral=class scala/math/Numeric$BigIntIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$BigIntIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$BigIntIsIntegral extends scala.math.Integral{
 public abstract scala.math.BigInt plus(scala.math.BigInt, scala.math.BigInt);
   Signature: (Lscala/math/BigInt;Lscala/math/BigInt;)Lscala/math/BigInt;
 
diff --git c/scala/math/Numeric$ByteIsIntegral$.class w/scala/math/Numeric$ByteIsIntegral$.class
index 40a8bbf5b7..cf8888d6ed 100644
--- c/scala/math/Numeric$ByteIsIntegral$.class
+++ w/scala/math/Numeric$ByteIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //ByteOrdering$class=class scala/math/Ordering$ByteOr
 public abstract #= # of #; //ByteIsIntegral$class=class scala/math/Numeric$ByteIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$ByteIsIntegral$ extends java.lang.Object implements scala.math.Numeric$ByteIsIntegral,scala.math.Ordering$ByteOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$ByteIsIntegral$ extends java.lang.Object implements scala.math.Numeric$ByteIsIntegral,scala.math.Ordering$ByteOrdering{
 public static final scala.math.Numeric$ByteIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$ByteIsIntegral$;
 
diff --git c/scala/math/Numeric$ByteIsIntegral.class w/scala/math/Numeric$ByteIsIntegral.class
index 22a6f1e9fd..db3dca7ff4 100644
--- c/scala/math/Numeric$ByteIsIntegral.class
+++ w/scala/math/Numeric$ByteIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ByteIsIntegral=class scala/math/Numeric$ByteIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$ByteIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$ByteIsIntegral extends scala.math.Integral{
 public abstract byte plus(byte, byte);
   Signature: (BB)B
 
diff --git c/scala/math/Numeric$CharIsIntegral$.class w/scala/math/Numeric$CharIsIntegral$.class
index e5884368df..e576e95f76 100644
--- c/scala/math/Numeric$CharIsIntegral$.class
+++ w/scala/math/Numeric$CharIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //CharOrdering$class=class scala/math/Ordering$CharOr
 public abstract #= # of #; //CharIsIntegral$class=class scala/math/Numeric$CharIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$CharIsIntegral$ extends java.lang.Object implements scala.math.Numeric$CharIsIntegral,scala.math.Ordering$CharOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$CharIsIntegral$ extends java.lang.Object implements scala.math.Numeric$CharIsIntegral,scala.math.Ordering$CharOrdering{
 public static final scala.math.Numeric$CharIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$CharIsIntegral$;
 
diff --git c/scala/math/Numeric$CharIsIntegral.class w/scala/math/Numeric$CharIsIntegral.class
index fff639cb87..e28911bf8a 100644
--- c/scala/math/Numeric$CharIsIntegral.class
+++ w/scala/math/Numeric$CharIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //CharIsIntegral=class scala/math/Numeric$CharIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$CharIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$CharIsIntegral extends scala.math.Integral{
 public abstract char plus(char, char);
   Signature: (CC)C
 
diff --git c/scala/math/Numeric$DoubleAsIfIntegral$.class w/scala/math/Numeric$DoubleAsIfIntegral$.class
index 2da62fcbce..8541f432d6 100644
--- c/scala/math/Numeric$DoubleAsIfIntegral$.class
+++ w/scala/math/Numeric$DoubleAsIfIntegral$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //DoubleAsIfIntegral$class=class scala/math/Numeric$D
 public abstract #= # of #; //DoubleIsConflicted$class=class scala/math/Numeric$DoubleIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$DoubleAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$DoubleAsIfIntegral,scala.math.Ordering$DoubleOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$DoubleAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$DoubleAsIfIntegral,scala.math.Ordering$DoubleOrdering{
 public static final scala.math.Numeric$DoubleAsIfIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$DoubleAsIfIntegral$;
 
diff --git c/scala/math/Numeric$DoubleAsIfIntegral.class w/scala/math/Numeric$DoubleAsIfIntegral.class
index 3c1789531c..d17a4023b7 100644
--- c/scala/math/Numeric$DoubleAsIfIntegral.class
+++ w/scala/math/Numeric$DoubleAsIfIntegral.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //DoubleAsIfIntegral=class scala/math/Numeric$DoubleA
 public abstract #= # of #; //DoubleIsConflicted=class scala/math/Numeric$DoubleIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$DoubleAsIfIntegral extends scala.math.Numeric$DoubleIsConflicted,scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$DoubleAsIfIntegral extends scala.math.Numeric$DoubleIsConflicted,scala.math.Integral{
 public abstract double quot(double, double);
   Signature: (DD)D
 
diff --git c/scala/math/Numeric$DoubleIsConflicted.class w/scala/math/Numeric$DoubleIsConflicted.class
index ff64258630..d37cf44f14 100644
--- c/scala/math/Numeric$DoubleIsConflicted.class
+++ w/scala/math/Numeric$DoubleIsConflicted.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //DoubleIsConflicted=class scala/math/Numeric$DoubleIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$DoubleIsConflicted extends scala.math.Numeric,scala.ScalaObject{
+public interface scala.math.Numeric$DoubleIsConflicted extends scala.math.Numeric{
 public abstract double plus(double, double);
   Signature: (DD)D
 
diff --git c/scala/math/Numeric$DoubleIsFractional$.class w/scala/math/Numeric$DoubleIsFractional$.class
index eb49b2ac68..376da0d85a 100644
--- c/scala/math/Numeric$DoubleIsFractional$.class
+++ w/scala/math/Numeric$DoubleIsFractional$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //DoubleIsFractional$class=class scala/math/Numeric$D
 public abstract #= # of #; //DoubleIsConflicted$class=class scala/math/Numeric$DoubleIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$DoubleIsFractional$ extends java.lang.Object implements scala.math.Numeric$DoubleIsFractional,scala.math.Ordering$DoubleOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$DoubleIsFractional$ extends java.lang.Object implements scala.math.Numeric$DoubleIsFractional,scala.math.Ordering$DoubleOrdering{
 public static final scala.math.Numeric$DoubleIsFractional$ MODULE$;
   Signature: Lscala/math/Numeric$DoubleIsFractional$;
 
diff --git c/scala/math/Numeric$DoubleIsFractional.class w/scala/math/Numeric$DoubleIsFractional.class
index df489fd16f..0fb01d6f57 100644
--- c/scala/math/Numeric$DoubleIsFractional.class
+++ w/scala/math/Numeric$DoubleIsFractional.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //DoubleIsFractional=class scala/math/Numeric$DoubleI
 public abstract #= # of #; //DoubleIsConflicted=class scala/math/Numeric$DoubleIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$DoubleIsFractional extends scala.math.Numeric$DoubleIsConflicted,scala.math.Fractional,scala.ScalaObject{
+public interface scala.math.Numeric$DoubleIsFractional extends scala.math.Numeric$DoubleIsConflicted,scala.math.Fractional{
 public abstract double div(double, double);
   Signature: (DD)D
 
diff --git c/scala/math/Numeric$FloatAsIfIntegral$.class w/scala/math/Numeric$FloatAsIfIntegral$.class
index 628c059800..e43991aeb2 100644
--- c/scala/math/Numeric$FloatAsIfIntegral$.class
+++ w/scala/math/Numeric$FloatAsIfIntegral$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //FloatAsIfIntegral$class=class scala/math/Numeric$Fl
 public abstract #= # of #; //FloatIsConflicted$class=class scala/math/Numeric$FloatIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$FloatAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$FloatAsIfIntegral,scala.math.Ordering$FloatOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$FloatAsIfIntegral$ extends java.lang.Object implements scala.math.Numeric$FloatAsIfIntegral,scala.math.Ordering$FloatOrdering{
 public static final scala.math.Numeric$FloatAsIfIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$FloatAsIfIntegral$;
 
diff --git c/scala/math/Numeric$FloatAsIfIntegral.class w/scala/math/Numeric$FloatAsIfIntegral.class
index e70d7f0902..05f8a00496 100644
--- c/scala/math/Numeric$FloatAsIfIntegral.class
+++ w/scala/math/Numeric$FloatAsIfIntegral.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //FloatAsIfIntegral=class scala/math/Numeric$FloatAsI
 public abstract #= # of #; //FloatIsConflicted=class scala/math/Numeric$FloatIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$FloatAsIfIntegral extends scala.math.Numeric$FloatIsConflicted,scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$FloatAsIfIntegral extends scala.math.Numeric$FloatIsConflicted,scala.math.Integral{
 public abstract float quot(float, float);
   Signature: (FF)F
 
diff --git c/scala/math/Numeric$FloatIsConflicted.class w/scala/math/Numeric$FloatIsConflicted.class
index a52b9a5dba..a5f44b725a 100644
--- c/scala/math/Numeric$FloatIsConflicted.class
+++ w/scala/math/Numeric$FloatIsConflicted.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //FloatIsConflicted=class scala/math/Numeric$FloatIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$FloatIsConflicted extends scala.math.Numeric,scala.ScalaObject{
+public interface scala.math.Numeric$FloatIsConflicted extends scala.math.Numeric{
 public abstract float plus(float, float);
   Signature: (FF)F
 
diff --git c/scala/math/Numeric$FloatIsFractional$.class w/scala/math/Numeric$FloatIsFractional$.class
index a99a5cb007..ce7f83f4b4 100644
--- c/scala/math/Numeric$FloatIsFractional$.class
+++ w/scala/math/Numeric$FloatIsFractional$.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //FloatIsFractional$class=class scala/math/Numeric$Fl
 public abstract #= # of #; //FloatIsConflicted$class=class scala/math/Numeric$FloatIsConflicted$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$FloatIsFractional$ extends java.lang.Object implements scala.math.Numeric$FloatIsFractional,scala.math.Ordering$FloatOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$FloatIsFractional$ extends java.lang.Object implements scala.math.Numeric$FloatIsFractional,scala.math.Ordering$FloatOrdering{
 public static final scala.math.Numeric$FloatIsFractional$ MODULE$;
   Signature: Lscala/math/Numeric$FloatIsFractional$;
 
diff --git c/scala/math/Numeric$FloatIsFractional.class w/scala/math/Numeric$FloatIsFractional.class
index ee543b1efa..232d3b4a57 100644
--- c/scala/math/Numeric$FloatIsFractional.class
+++ w/scala/math/Numeric$FloatIsFractional.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //FloatIsFractional=class scala/math/Numeric$FloatIsF
 public abstract #= # of #; //FloatIsConflicted=class scala/math/Numeric$FloatIsConflicted of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$FloatIsFractional extends scala.math.Numeric$FloatIsConflicted,scala.math.Fractional,scala.ScalaObject{
+public interface scala.math.Numeric$FloatIsFractional extends scala.math.Numeric$FloatIsConflicted,scala.math.Fractional{
 public abstract float div(float, float);
   Signature: (FF)F
 
diff --git c/scala/math/Numeric$Implicits$.class w/scala/math/Numeric$Implicits$.class
index d5e841d356..9eb3efe060 100644
--- c/scala/math/Numeric$Implicits$.class
+++ w/scala/math/Numeric$Implicits$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Numeric$ExtraImplic
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Numeric$ExtraImplicits$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$Implicits$ extends java.lang.Object implements scala.math.Numeric$ExtraImplicits,scala.ScalaObject{
+public final class scala.math.Numeric$Implicits$ extends java.lang.Object implements scala.math.Numeric$ExtraImplicits{
 public static final scala.math.Numeric$Implicits$ MODULE$;
   Signature: Lscala/math/Numeric$Implicits$;
 
diff --git c/scala/math/Numeric$IntIsIntegral$.class w/scala/math/Numeric$IntIsIntegral$.class
index cab1bdd000..249ed6894a 100644
--- c/scala/math/Numeric$IntIsIntegral$.class
+++ w/scala/math/Numeric$IntIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //IntOrdering$class=class scala/math/Ordering$IntOrde
 public abstract #= # of #; //IntIsIntegral$class=class scala/math/Numeric$IntIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$IntIsIntegral$ extends java.lang.Object implements scala.math.Numeric$IntIsIntegral,scala.math.Ordering$IntOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$IntIsIntegral$ extends java.lang.Object implements scala.math.Numeric$IntIsIntegral,scala.math.Ordering$IntOrdering{
 public static final scala.math.Numeric$IntIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$IntIsIntegral$;
 
diff --git c/scala/math/Numeric$IntIsIntegral.class w/scala/math/Numeric$IntIsIntegral.class
index 45c4b0ac1f..e54c0b530a 100644
--- c/scala/math/Numeric$IntIsIntegral.class
+++ w/scala/math/Numeric$IntIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //IntIsIntegral=class scala/math/Numeric$IntIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$IntIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$IntIsIntegral extends scala.math.Integral{
 public abstract int plus(int, int);
   Signature: (II)I
 
diff --git c/scala/math/Numeric$LongIsIntegral$.class w/scala/math/Numeric$LongIsIntegral$.class
index 9178e4469c..df5ee53d72 100644
--- c/scala/math/Numeric$LongIsIntegral$.class
+++ w/scala/math/Numeric$LongIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //LongOrdering$class=class scala/math/Ordering$LongOr
 public abstract #= # of #; //LongIsIntegral$class=class scala/math/Numeric$LongIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$LongIsIntegral$ extends java.lang.Object implements scala.math.Numeric$LongIsIntegral,scala.math.Ordering$LongOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$LongIsIntegral$ extends java.lang.Object implements scala.math.Numeric$LongIsIntegral,scala.math.Ordering$LongOrdering{
 public static final scala.math.Numeric$LongIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$LongIsIntegral$;
 
diff --git c/scala/math/Numeric$LongIsIntegral.class w/scala/math/Numeric$LongIsIntegral.class
index 4ded909d10..ae1c290bce 100644
--- c/scala/math/Numeric$LongIsIntegral.class
+++ w/scala/math/Numeric$LongIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //LongIsIntegral=class scala/math/Numeric$LongIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$LongIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$LongIsIntegral extends scala.math.Integral{
 public abstract long plus(long, long);
   Signature: (JJ)J
 
diff --git c/scala/math/Numeric$ShortIsIntegral$.class w/scala/math/Numeric$ShortIsIntegral$.class
index 3272f07286..684c367706 100644
--- c/scala/math/Numeric$ShortIsIntegral$.class
+++ w/scala/math/Numeric$ShortIsIntegral$.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //ShortOrdering$class=class scala/math/Ordering$Short
 public abstract #= # of #; //ShortIsIntegral$class=class scala/math/Numeric$ShortIsIntegral$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public final class scala.math.Numeric$ShortIsIntegral$ extends java.lang.Object implements scala.math.Numeric$ShortIsIntegral,scala.math.Ordering$ShortOrdering,scala.ScalaObject{
+public final class scala.math.Numeric$ShortIsIntegral$ extends java.lang.Object implements scala.math.Numeric$ShortIsIntegral,scala.math.Ordering$ShortOrdering{
 public static final scala.math.Numeric$ShortIsIntegral$ MODULE$;
   Signature: Lscala/math/Numeric$ShortIsIntegral$;
 
diff --git c/scala/math/Numeric$ShortIsIntegral.class w/scala/math/Numeric$ShortIsIntegral.class
index bed578decf..1289a9747a 100644
--- c/scala/math/Numeric$ShortIsIntegral.class
+++ w/scala/math/Numeric$ShortIsIntegral.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ShortIsIntegral=class scala/math/Numeric$ShortIsIntegral of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric$ShortIsIntegral extends scala.math.Integral,scala.ScalaObject{
+public interface scala.math.Numeric$ShortIsIntegral extends scala.math.Integral{
 public abstract short plus(short, short);
   Signature: (SS)S
 
diff --git c/scala/math/Numeric.class w/scala/math/Numeric.class
index fd538e5e5d..4b9b66bbbc 100644
--- c/scala/math/Numeric.class
+++ w/scala/math/Numeric.class
@@ -47,7 +47,7 @@ public abstract #= # of #; //BigDecimalIsConflicted$class=class scala/math/Numer
 public abstract #= # of #; //BigDecimalIsFractional$class=class scala/math/Numeric$BigDecimalIsFractional$class of class scala/math/Numeric
 
 Compiled from "Numeric.scala"
-public interface scala.math.Numeric extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Numeric extends scala.math.Ordering{
 public abstract java.lang.Object plus(java.lang.Object, java.lang.Object);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
 
diff --git c/scala/math/Ordering$.class w/scala/math/Ordering$.class
index 148a879a25..1354ab425d 100644
--- c/scala/math/Ordering$.class
+++ w/scala/math/Ordering$.class
@@ -43,7 +43,7 @@ public abstract #= # of #; //BooleanOrdering$class=class scala/math/Ordering$Boo
 public abstract #= # of #; //BigDecimalOrdering$class=class scala/math/Ordering$BigDecimalOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$ extends java.lang.Object implements scala.math.LowPriorityOrderingImplicits,scala.ScalaObject,scala.Serializable{
+public final class scala.math.Ordering$ extends java.lang.Object implements scala.math.LowPriorityOrderingImplicits,scala.Serializable{
 public static final scala.math.Ordering$ MODULE$;
   Signature: Lscala/math/Ordering$;
 
diff --git c/scala/math/Ordering$BigDecimal$.class w/scala/math/Ordering$BigDecimal$.class
index 7253778c16..a2114a5ce4 100644
--- c/scala/math/Ordering$BigDecimal$.class
+++ w/scala/math/Ordering$BigDecimal$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //BigDecimalOrdering=class scala/math/Ordering$BigDec
 public abstract #= # of #; //BigDecimalOrdering$class=class scala/math/Ordering$BigDecimalOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$BigDecimal$ extends java.lang.Object implements scala.math.Ordering$BigDecimalOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$BigDecimal$ extends java.lang.Object implements scala.math.Ordering$BigDecimalOrdering{
 public static final scala.math.Ordering$BigDecimal$ MODULE$;
   Signature: Lscala/math/Ordering$BigDecimal$;
 
diff --git c/scala/math/Ordering$BigDecimalOrdering.class w/scala/math/Ordering$BigDecimalOrdering.class
index 9382045620..c4b6dfefa3 100644
--- c/scala/math/Ordering$BigDecimalOrdering.class
+++ w/scala/math/Ordering$BigDecimalOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //BigDecimalOrdering=class scala/math/Ordering$BigDecimalOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$BigDecimalOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$BigDecimalOrdering extends scala.math.Ordering{
 public abstract int compare(scala.math.BigDecimal, scala.math.BigDecimal);
   Signature: (Lscala/math/BigDecimal;Lscala/math/BigDecimal;)I
 
diff --git c/scala/math/Ordering$BigInt$.class w/scala/math/Ordering$BigInt$.class
index 9394387804..65a5f00971 100644
--- c/scala/math/Ordering$BigInt$.class
+++ w/scala/math/Ordering$BigInt$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //BigIntOrdering=class scala/math/Ordering$BigIntOrde
 public abstract #= # of #; //BigIntOrdering$class=class scala/math/Ordering$BigIntOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$BigInt$ extends java.lang.Object implements scala.math.Ordering$BigIntOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$BigInt$ extends java.lang.Object implements scala.math.Ordering$BigIntOrdering{
 public static final scala.math.Ordering$BigInt$ MODULE$;
   Signature: Lscala/math/Ordering$BigInt$;
 
diff --git c/scala/math/Ordering$BigIntOrdering.class w/scala/math/Ordering$BigIntOrdering.class
index f449419312..d66e636006 100644
--- c/scala/math/Ordering$BigIntOrdering.class
+++ w/scala/math/Ordering$BigIntOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //BigIntOrdering=class scala/math/Ordering$BigIntOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$BigIntOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$BigIntOrdering extends scala.math.Ordering{
 public abstract int compare(scala.math.BigInt, scala.math.BigInt);
   Signature: (Lscala/math/BigInt;Lscala/math/BigInt;)I
 
diff --git c/scala/math/Ordering$Boolean$.class w/scala/math/Ordering$Boolean$.class
index 2e732a5fe6..339cb18544 100644
--- c/scala/math/Ordering$Boolean$.class
+++ w/scala/math/Ordering$Boolean$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //BooleanOrdering=class scala/math/Ordering$BooleanOr
 public abstract #= # of #; //BooleanOrdering$class=class scala/math/Ordering$BooleanOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Boolean$ extends java.lang.Object implements scala.math.Ordering$BooleanOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Boolean$ extends java.lang.Object implements scala.math.Ordering$BooleanOrdering{
 public static final scala.math.Ordering$Boolean$ MODULE$;
   Signature: Lscala/math/Ordering$Boolean$;
 
diff --git c/scala/math/Ordering$BooleanOrdering.class w/scala/math/Ordering$BooleanOrdering.class
index cb4664d4cd..9312e5f6e1 100644
--- c/scala/math/Ordering$BooleanOrdering.class
+++ w/scala/math/Ordering$BooleanOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //BooleanOrdering=class scala/math/Ordering$BooleanOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$BooleanOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$BooleanOrdering extends scala.math.Ordering{
 public abstract int compare(boolean, boolean);
   Signature: (ZZ)I
 
diff --git c/scala/math/Ordering$Byte$.class w/scala/math/Ordering$Byte$.class
index 1d3b32da11..9e7b0397a9 100644
--- c/scala/math/Ordering$Byte$.class
+++ w/scala/math/Ordering$Byte$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ByteOrdering=class scala/math/Ordering$ByteOrdering
 public abstract #= # of #; //ByteOrdering$class=class scala/math/Ordering$ByteOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Byte$ extends java.lang.Object implements scala.math.Ordering$ByteOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Byte$ extends java.lang.Object implements scala.math.Ordering$ByteOrdering{
 public static final scala.math.Ordering$Byte$ MODULE$;
   Signature: Lscala/math/Ordering$Byte$;
 
diff --git c/scala/math/Ordering$ByteOrdering.class w/scala/math/Ordering$ByteOrdering.class
index 39d1fa5a11..0763b31f09 100644
--- c/scala/math/Ordering$ByteOrdering.class
+++ w/scala/math/Ordering$ByteOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ByteOrdering=class scala/math/Ordering$ByteOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$ByteOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$ByteOrdering extends scala.math.Ordering{
 public abstract int compare(byte, byte);
   Signature: (BB)I
 
